#!/usr/bin/env bash

for NODE_COUNT in {10..18}; do
    if [ $(( $NODE_COUNT % 2 )) -eq 0 ]; then
        echo "Running for $NODE_COUNT nodes."
        mkdir -p "res/$NODE_COUNT"
        for i in {0..4}; do
            for j in {0..3}; do
                SUM=$(( $i * 4 + $j ))
                printf -v SUM "%02d" $SUM
                STAT_FILE="res/$NODE_COUNT/stats-$SUM.dat"
                GRAPH_FILE="res/$NODE_COUNT/graph-$SUM.txt"
                echo "./rbn-evol-k2-instr $STAT_FILE $GRAPH_FILE $NODE_COUNT 100 100 5 >> time-$NODE_COUNT.txt"
    	    ./rbn-evol-k2-instr $STAT_FILE $GRAPH_FILE $NODE_COUNT 100 100 5 >> time-$NODE_COUNT.txt &
            done
            wait $!
        done
    fi
done

