#!/usr/bin/env bash

E_BADARGS=85

if [ "$#" -ne "1" ]; then
    echo "Usage: ./`basename $0` aggregated-file"
    echo "Creates a pdf plot out of the aggregated data file."
    exit $E_BADARGS
fi

file="$1"
base="${1%%.*}"

# 1      2      3        4        5       6        7
# gen min-max 25-max median-max 75-max max-max mean-max
# 1      8      9       10        11     12       13
# gen min-min 25-min median-min 75-min max-min mean-min
# 1      14     15      16        17     18       19
# gen min-avg 25-avg median-avg 75-avg max-avg mean-avg
# 1      20     21      22        23     24       25
# gen min-std 25-std median-std 75-std max-std mean-std

gnuplot <<EOF
set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set output "$base.pdf"

set title 'Title'
set key inside left top
#set key inside right bottom box linetype -1 linewidth 1.000 width 6

set xtic auto
set ytic auto

set xlabel 'Generation'
set ylabel 'Fitness'

plot "$file" u 1:7 w lines lt 1 lc rgb 'blue' t "Max",\
     '' u 1:19 w lines lt 1 lc rgb 'red' t "Mean",\
     '' u 1:13 w lines lt 1 lc rgb 'web-green' t "Min"

# set terminal epslatex
# set output "$base.tex"
# replot
EOF

echo "$base.pdf generated."
