set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set boxwidth 1.0

set output "k2-joined.pdf"
k2instr="K2-instr/time-aggregate.txt"
k2table="K2-tabell/time-aggregate.txt"
set title 'Box-and-whisker plot for runtime of K=2'
set key inside left top box linetype -1 linewidth 1.000

set xrange [8:20]
set ytic auto
set logscale y

set xlabel 'Number of Nodes'
set ylabel 'Milliseconds'

plot k2instr u 1:($3/1000000):($2/1000000):($6/1000000):($5/1000000)\
       with candlesticks whiskerbars lt 1 lc rgb 'blue' t "Instruction based",\
     '' u 1:($4/1000000):($4/1000000):($4/1000000):($4/1000000) \
     with candlesticks lt -1 notitle,\
     k2table u 1:($3/1000000):($2/1000000):($6/1000000):($5/1000000)\
       with candlesticks whiskerbars lt 1 lc rgb 'web-green' t "Table based",\
     '' u 1:($4/1000000):($4/1000000):($4/1000000):($4/1000000) \
     with candlesticks lt -1 notitle
