#!/usr/bin/env bash

set -euo pipefail
IFS=$'\n\t'

# IT'S TIME FOR PLOTTI-PLOTT
TMP1=$(mktemp)
TMP2=$(mktemp)
trap 'rm -f $TMP1 $TMP2' EXIT

head -n -2 combstats.txt | tr -d ":" > "$TMP1"
gnuplot <<EOF
set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set boxwidth 1.0

set output "combstats.pdf"
set title 'Function frequency'
#set key inside left top box linetype -1 linewidth 1.000

set xrange [-1:256]
set ytic auto

set xlabel 'Function Index'
set ylabel 'Count'

plot '$TMP1' u 1:2 w impulses lw 5 lc rgb 'red' notitle
EOF

head -n -2 comb2stats.txt | tr -d ":" > "$TMP2"
gnuplot <<EOF
set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set boxwidth 1.0

set output "comb2stats.pdf"
set title 'Function frequency'
#set key inside left top box linetype -1 linewidth 1.000

set xrange [-1:256]
set ytic auto

set xlabel 'Function Index'
set ylabel 'Count'

plot '$TMP2' u 1:2 w impulses lw 5 lc rgb 'blue' notitle
EOF
